My Account     Contact Us     Cart

Geographic Imager System Requirements

Minimum system requirements for Geographic Imager 5.2

See complete product compatibility for earlier versions of Geographic Imager.

 

  • Adobe Photoshop CS6 / CC 2015 / CC 2015.5 / CC 2017 (all including 64-bit)
  • 2 GHz or faster Intel Pentium 4 processor (Intel Core 2 Duo or better recommended)
  • Windows 7 / 8 / 10 (compatible with 64-bit versions)
  • 4 GB RAM (8 GB or higher recommended)
  • 300 MB of available hard-disk space for installation
  • DVD-ROM drive (for DVD version)
  • 1024×768 display (1280×800 recommended)
 

  • Adobe Photoshop CS6 / CC 2015 / CC 2015.5 / CC 2017
  • Multicore Intel processor
  • Mac OS X 10.10 or higher
  • 4 GB of RAM (8 GB or higher recommended)
  • 300 MB of available hard-disk space for installation
  • DVD-ROM drive (for DVD version)
  • 1024×768 display (1280×800 recommended)

 

Notes about Geographic Imager

  • Adobe Photoshop CC 2015 is officially deprecated in Geographic Imager 5.2.
  • Mac OS X 10.9 is officially deprecated in Geographic Imager 5.2.
  • macOS 10.12 is officially supported in Geographic Imager 5.2.
  • Not all foreign language versions of Adobe Photoshop may be supported. Contact support@avenza.com for more information.
  • Installing Geographic Imager on a system that does not meet the minimum requirements may produce unexpected results or errors, which may not be supported by Avenza Support.
Get Help

Get Help

Get started with Geographic Imager online help including tutorials and data.

Go to Support Centre


Get Tricks and Tips

Read up on Geographic Imager tricks and tips on the Avenza Resources Blog.

Go to Resources Blog
Demo

Live Demo

Request a live online Geographic Imager demo with us. We’re here to answer all your questions about it.

Book a demo